"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var core_1 = require("@angular/core");
var event_manager_1 = require("@angular/platform-browser/src/dom/events/event_manager");
/**
 * Automatically unregister an event listener after the event fired once
 *
 * Usage:
 * <button (once.click)="foo()">...</button>
 *
 */
var OnceEventPlugin = (function (_super) {
    __extends(OnceEventPlugin, _super);
    function OnceEventPlugin() {
        _super.apply(this, arguments);
    }
    OnceEventPlugin.prototype.supports = function (eventName) {
        return eventName.indexOf('once.') === 0;
    };
    OnceEventPlugin.prototype.addEventListener = function (element, eventName, handler) {
        var realEventName = eventName.slice(5);
        var active = true;
        var eventListener = this.manager.addEventListener(element, realEventName, function ($event) {
            eventListener();
            active = false;
            handler($event);
        });
        return function () {
            if (active)
                eventListener();
        };
    };
    OnceEventPlugin.decorators = [
        { type: core_1.Injectable },
    ];
    /** @nocollapse */
    OnceEventPlugin.ctorParameters = function () { return []; };
    return OnceEventPlugin;
}(event_manager_1.EventManagerPlugin));
exports.OnceEventPlugin = OnceEventPlugin;
