import { OpaqueToken } from "@angular/core";
import { EventManagerPlugin } from "@angular/platform-browser/src/dom/events/event_manager";
import "rxjs/add/operator/auditTime";
export declare const SCROLL_EVENT_TIME: OpaqueToken;
/**
 * Detects when an element is scrolled into or out of the viewport
 *
 * Usage:
 * <div (scroll-in)="activate()" (scroll-out)="deactivate()">...</div>
 *
 * The matching handler of the initial status is called upon attaching
 * to notify the element of its current status. $event is true for the
 * initial call, false otherwise
 *
 */
export declare class ScrollEventPlugin extends EventManagerPlugin {
    private listeners;
    private globalListener;
    private subject;
    constructor(time: number);
    supports(eventName: string): boolean;
    addEventListener(element: HTMLElement, eventName: string, handler: Function): Function;
    private updateGlobalListener();
    private getStatus(element);
}
